import rp from "request-promise";
import jsdom from "jsdom";
let botcust2 = "";

export default bot => {
  bot._trigger.set("chatbot", new bot.trigger({
    call: /.*uwe.*/i,
    active: false,
    f: e => {
      const chat = e.message;
      mitsuku(chat)
        .then(res => {
          e.reply(res);
        })
        .catch(err => {
          console.log(err);
        });
    }
  }));
};

function mitsuku(msg) {
  return new Promise((resolve, reject) => {
    const options = {
      uri: "https://kakko.pandorabots.com/pandora/talk?botid=87437a824e345a0d&skin=chat",
      method: "POST",
      body: {
        botcust2: botcust2,
        message: msg
      },
      headers: {
        Cookie: `botcust2=${botcust2}`
      },
      json: true
    };

    rp(options)
      .then(res => resolve(res))
      .catch(err => reject(err));
  });
}

(function init() {
  rp("https://kakko.pandorabots.com/pandora/talk?botid=87437a824e345a0d&skin=chat")
    .then(res => {
      const dom = new jsdom.JSDOM(res);
      botcust2 = dom.window.document.querySelector("input[name=botcust2]").value;
    });
})();